Loading...
Searching...
No Matches
juce::BubbleComponent::LookAndFeelMethods Struct Referenceabstract

## Detailed Description

This abstract base class is implemented by LookAndFeel classes.

The documentation for this struct was generated from the following file:

- juce_gui_basics/misc/juce_BubbleComponent.h

Inheritance diagram for juce::BubbleComponent::LookAndFeelMethods:

## Public Member Functions

virtual | ~LookAndFeelMethods ()=default
virtual void | drawBubble (Graphics &g, BubbleComponent &bubbleComponent, const Point< float > &positionOfTip, const Rectangle< float > &body)=0
| Override this method to draw a speech-bubble pointing at a specific location on the screen.
virtual void | setComponentEffectForBubbleComponent (BubbleComponent &bubbleComponent)=0
| Override this method to set effects, such as a drop-shadow, on a BubbleComponent.

## Constructors and Destructors

## ~LookAndFeelMethods()

virtual juce::BubbleComponent::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |

virtual default

## Member Functions

## drawBubble()

virtual void juce::BubbleComponent::LookAndFeelMethods::drawBubble | ( | Graphics & | g,
|  | BubbleComponent & | bubbleComponent,
|  | const Point< float > & | positionOfTip,
|  | const Rectangle< float > & | body )

pure virtual

Override this method to draw a speech-bubble pointing at a specific location on the screen.

Implemented in juce::LookAndFeel_V2.

References juce::BubbleComponent::BubbleComponent().

## setComponentEffectForBubbleComponent()

virtual void juce::BubbleComponent::LookAndFeelMethods::setComponentEffectForBubbleComponent | ( | BubbleComponent & | bubbleComponent | ) |

pure virtual

Override this method to set effects, such as a drop-shadow, on a BubbleComponent.

This will be called whenever a BubbleComponent is constructed or its look-and-feel changes.

If you need to trigger this callback to update an effect, call sendLookAndFeelChange() on the component.

See also
  Component::setComponentEffect, Component::sendLookAndFeelChange

Implemented in juce::LookAndFeel_V2.

References juce::BubbleComponent::BubbleComponent().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited